# Record TCefX509Certificate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefX509Certificate = record`

## Description

Structure representing a X.509 certificate.

NOTE: This struct is allocated DLL-side.

Implemented by ICefX509Certificate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_certificate_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_subject: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;`
| `get_issuer: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;`
| `get_serial_number: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;`
| `get_valid_start: function(self: PCefX509Certificate): TCefBaseTime; stdcall;`
| `get_valid_expiry: function(self: PCefX509Certificate): TCefBaseTime; stdcall;`
| `get_derencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;`
| `get_pemencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;`
| `get_issuer_chain_size: function(self: PCefX509Certificate): NativeUInt; stdcall;`
| `get_derencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;`
| `get_pemencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_subject: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;`
This item has no description.

| `get_issuer: function(self: PCefX509Certificate): PCefX509CertPrincipal; stdcall;`
This item has no description.

| `get_serial_number: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;`
This item has no description.

| `get_valid_start: function(self: PCefX509Certificate): TCefBaseTime; stdcall;`
This item has no description.

| `get_valid_expiry: function(self: PCefX509Certificate): TCefBaseTime; stdcall;`
This item has no description.

| `get_derencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;`
This item has no description.

| `get_pemencoded: function(self: PCefX509Certificate): PCefBinaryValue; stdcall;`
This item has no description.

| `get_issuer_chain_size: function(self: PCefX509Certificate): NativeUInt; stdcall;`
This item has no description.

| `get_derencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;`
This item has no description.

| `get_pemencoded_issuer_chain: procedure(self: PCefX509Certificate; var chainCount: NativeUInt; var chain: PCefBinaryValue); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.